Bug 1320497 - RFE: implement %epel macro
Summary: RFE: implement %epel macro
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: epel-rpm-macros
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-23 10:55 UTC by Lukas Slebodnik
Modified: 2016-04-19 20:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-19 16:55:45 UTC


Attachments (Terms of Use)

Description Lukas Slebodnik 2016-03-23 10:55:16 UTC
Description of problem:
epel 7 already contains %{epel} macro since epel-release-7-3.

[root@host /]# rpm -ql epel-release
/etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
/etc/yum.repos.d/epel-testing.repo
/etc/yum.repos.d/epel.repo
/usr/lib/rpm/macros.d/macros.epel
/usr/lib/systemd/system-preset/90-epel.preset
/usr/share/doc/epel-release-7
/usr/share/doc/epel-release-7/GPL
[root@host /]# cat /usr/lib/rpm/macros.d/macros.epel
# epel macros

%epel %{?rhel}%{!?rhel:7}

It would be good to have the same in epel6

Version-Release number of selected component (if applicable):
epel-release-6-8.noarch

How reproducible:
Deterministic

Steps to Reproduce:
1. yum install -y epel-release
2. rpm --eval "%{epel}"

Actual results:
macro is not defined and not expanded

Expected results:
macro is defined with some reasonable value (probably 6)


Additional info:
[root@host /]# rpm -ql epel-release-6-8.noarch
/etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
/etc/rpm/macros.ghc-srpm
/etc/yum.repos.d/epel-testing.repo
/etc/yum.repos.d/epel.repo
/usr/share/doc/epel-release-6
/usr/share/doc/epel-release-6/GPL

[root@host /]# cat /etc/rpm/macros.ghc-srpm
# macro defining the archs that ghc runs on in epel
%ghc_arches %{ix86} x86_64 ppc64
%ghc_arches_with_ghci %{ix86} x86_64

Comment 1 Kevin Fenzi 2016-03-23 19:45:54 UTC
Moving to epel-rpm-macros

Out of curiosity, what do you use this macro for?

Comment 2 Lukas Slebodnik 2016-03-23 20:05:49 UTC
Is epel-rpm-macros installed in mock for epel-6-...? 

If not then I would prefer to have it in package epel-release
the same as in epel-release-7-3.

And answer to your question is:
We have optional dependency on unit test library cmocka.
It's available only in epel. And we use the same upstream spec file for
rhel, epel(centos) and fedora. An currently we cannot install optional build
dependency in epel because %{epel} is not available in epel6 and result of this
is that some unit test are not executed.

Comment 3 Jason Tibbitts 2016-03-23 20:13:31 UTC
epel-rpm-macros is in the buildroot for all EPEL releases.

Comment 4 Lukas Slebodnik 2016-03-23 20:53:22 UTC
Thank you for info

BTW "epel" macro is defined twice in epel7
[root@host /]# grep epel /usr/lib/rpm/macros.d/macros.epel-rpm-macros /usr/lib/rpm/macros.d/macros.epel
/usr/lib/rpm/macros.d/macros.epel-rpm-macros:# epel macros
/usr/lib/rpm/macros.d/macros.epel-rpm-macros:%epel %{?rhel}%{!?rhel:7}
/usr/lib/rpm/macros.d/macros.epel:# epel macros
/usr/lib/rpm/macros.d/macros.epel:%epel %{?rhel}%{!?rhel:7}

[root@host /]# rpm -qf /usr/lib/rpm/macros.d/macros.epel-rpm-macros /usr/lib/rpm/macros.d/macros.epel
epel-rpm-macros-7-7.noarch
epel-release-7-5.noarch

Comment 5 Jason Tibbitts 2016-03-24 02:03:25 UTC
Duplicate macros don't actually hurt (as long as they don't disagree) but I'm just going to move all macros out of epel-release and into epel-rpm-macros.  I'll add the %epel macro to el6 and el5 as well, though the definition currently used in EL7 is.... pointless.

Just "%epel 7" should be completely sufficient.  I recall some discussion about this, probably on IRC, but it's been long enough that I doubt I could find it.

Comment 6 Fedora Update System 2016-03-31 02:56:45 UTC
epel-rpm-macros-6-6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7c8a4eb5b6

Comment 7 Fedora Update System 2016-03-31 22:08:04 UTC
epel-rpm-macros-5-2 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0af0cf0896

Comment 8 Fedora Update System 2016-03-31 22:11:37 UTC
epel-release-7-6 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5b2ed552c8

Comment 9 Fedora Update System 2016-03-31 23:38:07 UTC
epel-rpm-macros-6-7 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5a18d1bbd

Comment 10 Jason Tibbitts 2016-03-31 23:49:27 UTC
The currently submitted updates implement %epel on all releases, remove the duplicate %epel definition from epel-release-7, and begin the procedure of moving the GHC macros out of epel-release-6 by copying them into epel-rpm-macros-6.

Comment 11 Fedora Update System 2016-04-01 01:20:42 UTC
epel-rpm-macros-6-6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7c8a4eb5b6

Comment 12 Fedora Update System 2016-04-02 08:48:33 UTC
epel-rpm-macros-5-2 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0af0cf0896

Comment 13 Fedora Update System 2016-04-02 08:49:52 UTC
epel-rpm-macros-6-7 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5a18d1bbd

Comment 14 Fedora Update System 2016-04-02 08:50:34 UTC
epel-release-7-6 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5b2ed552c8

Comment 15 Fedora Update System 2016-04-02 23:07:47 UTC
epel-rpm-macros-5-3 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0af0cf0896

Comment 16 Fedora Update System 2016-04-03 22:17:56 UTC
epel-rpm-macros-5-3 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0af0cf0896

Comment 17 Fedora Update System 2016-04-18 06:49:51 UTC
epel-rpm-macros-5-3 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-04-18 07:28:36 UTC
epel-release-7-6 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-04-18 08:37:32 UTC
epel-rpm-macros-6-7 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Jason Tibbitts 2016-04-19 16:55:45 UTC
This should all be done now.

Comment 21 Lukas Slebodnik 2016-04-19 20:02:07 UTC
Yes, it works well.

Thank you very much.


Note You need to log in before you can comment on or make changes to this bug.